<template>
  <div id="default-layout" class="default-layout">
    <GlobalLoader v-if="isLoading" />

    <aside class="d-none d-lg-block" v-show="!isLoading">
      <SidebarDesktop />
    </aside>

    <section v-show="!isLoading">
      <MobileHeader />

      <DesktopHeader />

      <Nuxt />

      <Footer />
    </section>

    <AuthModal v-show="!isLoading" />
  </div>
</template>

<script>
import { mapGetters } from "vuex";

import MobileHeader from "@/components/global/header/MobileHeader";
import DesktopHeader from "@/components/global/header/DesktopHeader";
import AuthModal from "@/components/auth/AuthModal";
import SidebarDesktop from "@/components/global/sidebar/SidebarDesktop";
import Footer from "@/components/global/Footer";
import GlobalLoader from "@/components/global/loaders/GlobalLoader";

export default {
  components: {
    MobileHeader,
    DesktopHeader,
    AuthModal,
    SidebarDesktop,
    Footer,
    GlobalLoader,
  },
  mounted() {
    let cart = localStorage.getItem("rong_qian_cart")
    cart = cart ? cart : `[]`

    this.$store.commit("cart/SET_PRODUCTS", JSON.parse(cart));
  },
  computed: {
    ...mapGetters(["isLoading"]),
  },
};
</script>

<style></style>
